﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace 自定义依赖属性{
    public sealed partial class MyTextBox : UserControl{
        public MyTextBox(){
            this.InitializeComponent();
            this.textbox.DataContext = this;
        }
        public static readonly DependencyProperty DataProperty = DependencyProperty.Register("Data", typeof(Entity), typeof(MyTextBox), new PropertyMetadata(null));
        public Entity Data
        {
            get { return (Entity)GetValue(DataProperty); }
            set { SetValue(DataProperty, value); }
        }
    }
}
