﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

//“空白页”项模板在 http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409 上有介绍

namespace 自定义依赖属性
{
    /// <summary>
    /// 可用于自身或导航至 Frame 内部的空白页。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        ViewModel VM;
        public MainPage()
        {
            this.InitializeComponent();
            VM = new ViewModel();
            this.DataContext = VM;
        }
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            VM.Data = new Entity() { Name = "我心爱的姑娘" };
            VM.Data.Name = "你好吗";
            //VM.Data = null;
        }
    }
    public class ViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private Entity _data;
        public Entity Data
        {
            get { return _data; }
            set { _data = value; PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("Data")); }
        }
    }
    public class Entity 
    {
        private string _name;
        public string Name
        {
            get { return _name; }
            set { _name = value; PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("Name")); }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }

}
